--
-- $RCSfile: buffer_32.vhd,v $
-- $Revision: 1.1 $
-- $Author: petera $
-- $Date: 90/05/17 16:20:17 $
--

use work.dp32_types.all;

entity buffer_32 is
  generic (Tpd : Time := unit_delay);
  port (a : in bit_32;
      	b : out bus_bit_32 bus;
	en : in bit);
end buffer_32;

architecture behaviour of buffer_32 is

begin

  b_driver: process (en, a)
  begin
    if en = '1' then
      b <= a after Tpd;
    else
      b <= null after Tpd;
    end if;
  end process b_driver;

end behaviour;
